Bug 1203006 - [Atomic] uid/gid breakage in F21
Summary: [Atomic] uid/gid breakage in F21
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm-ostree
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-17 21:38 UTC by Colin Walters
Modified: 2015-03-21 04:56 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-03-21 04:56:15 UTC


Attachments (Terms of Use)

Description Colin Walters 2015-03-17 21:38:48 UTC
rpm-ostree (just like any image system, including Docker and cloud images) is subject to uid/gid drift.  In both of the latter, it's possible to use "yum update", which works as well as it always has.

However, for rpm-ostree, they must be allocated consistently on the server side.  

https://git.fedorahosted.org/cgit/fedora-atomic.git/commit/?id=debbecbc6cec7ae494f26703d0ae28b2c53b0e26

is a commit for master and f22 that must now be backported to f21, because the most recent update changed uids for important things like "sshkeys".

Comment 1 Fedora Update System 2015-03-17 21:39:23 UTC
rpm-ostree-2015.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rpm-ostree-2015.3-1.fc21

Comment 2 Fedora Update System 2015-03-19 18:41:02 UTC
Package ostree-2015.3-2.fc21, libgsystem-2015.1-1.fc21, rpm-ostree-2015.3-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ostree-2015.3-2.fc21 libgsystem-2015.1-1.fc21 rpm-ostree-2015.3-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4164/rpm-ostree-2015.3-1.fc21,ostree-2015.3-2.fc21,libgsystem-2015.1-1.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-03-21 04:56:15 UTC
ostree-2015.3-2.fc21, libgsystem-2015.1-1.fc21, rpm-ostree-2015.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.